osg::GLBufferObject::BufferEntry Struct Reference

`#include <BufferObject>`

## Public Member Functions

| BufferEntry ()
| BufferEntry (const BufferEntry &rhs)
BufferEntry & | operator= (const BufferEntry &rhs)
unsigned int | getNumClients () const

## Public Attributes

unsigned int | numRead
unsigned int | modifiedCount
unsigned int | dataSize
unsigned int | offset
BufferData * | dataSource

## Constructor & Destructor Documentation

## BufferEntry() [1/2]

osg::GLBufferObject::BufferEntry::BufferEntry | ( |  | ) |

inline

References dataSize, dataSource, modifiedCount, numRead, and offset.

Referenced by BufferEntry(), and operator=().

## BufferEntry() [2/2]

osg::GLBufferObject::BufferEntry::BufferEntry | ( | const BufferEntry & | rhs | ) |

inline

References BufferEntry(), dataSize, dataSource, modifiedCount, numRead, and offset.

## Member Function Documentation

## getNumClients()

unsigned int osg::GLBufferObject::BufferEntry::getNumClients | ( |  | ) | const

## operator=()

BufferEntry & osg::GLBufferObject::BufferEntry::operator= | ( | const BufferEntry & | rhs | ) |

inline

References BufferEntry(), dataSize, dataSource, modifiedCount, numRead, and offset.

## Member Data Documentation

## dataSize

unsigned int osg::GLBufferObject::BufferEntry::dataSize

Referenced by BufferEntry(), BufferEntry(), and operator=().

## dataSource

BufferData* osg::GLBufferObject::BufferEntry::dataSource

Referenced by BufferEntry(), BufferEntry(), and operator=().

## modifiedCount

unsigned int osg::GLBufferObject::BufferEntry::modifiedCount

Referenced by BufferEntry(), BufferEntry(), and operator=().

## numRead

unsigned int osg::GLBufferObject::BufferEntry::numRead

Referenced by BufferEntry(), BufferEntry(), and operator=().

## offset

unsigned int osg::GLBufferObject::BufferEntry::offset

Referenced by BufferEntry(), BufferEntry(), and operator=().

The documentation for this struct was generated from the following file:

- BufferObject